# Uses of Interface
org.eclipse.swt.browser.VisibilityWindowListener

Packages that use VisibilityWindowListener
Package
Description
org.eclipse.swt.browser
SWT Browser widget.

## Uses of VisibilityWindowListener in org.eclipse.swt.browser

Classes in org.eclipse.swt.browser that implement VisibilityWindowListener
Modifier and Type
Class
Description
`class`
`VisibilityWindowAdapter`
This adapter class provides default implementations for the methods described by the `VisibilityWindowListener` interface.
Methods in org.eclipse.swt.browser that return VisibilityWindowListener
Modifier and Type
Method
Description
`static VisibilityWindowListener`
VisibilityWindowListener.`hideAdapter(Consumer<WindowEvent> c)`
Static helper method to create a `VisibilityWindowListener` for thehide `VisibilityWindowListener.hide(WindowEvent e)`) method, given a lambda expression or a method reference.
`static VisibilityWindowListener`
VisibilityWindowListener.`showAdapter(Consumer<WindowEvent> c)`
Static helper method to create a `VisibilityWindowListener` for the `VisibilityWindowListener.show(WindowEvent e)`) method, given a lambda expression or a method reference.
Methods in org.eclipse.swt.browser with parameters of type VisibilityWindowListener
Modifier and Type
Method
Description
`void`
Browser.`addVisibilityWindowListener(VisibilityWindowListener listener)`
Adds the listener to the collection of listeners who will be notified when a window hosting the receiver needs to be displayed or hidden.
`void`
Browser.`removeVisibilityWindowListener(VisibilityWindowListener listener)`
Removes the listener from the collection of listeners who will be notified when a window hosting the receiver needs to be displayed or hidden.